Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 7)
@@ -2664,139 +2675,331 @@
                         dgvActionSchedule.Rows[0].Cells[ix + (int)ActionSchduleGridCount.Days1].Style.BackColor = Color.White;
                     }
                 }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                hcDB.close(); hcDB = null;
+            }
+        }
+        #endregion
+
+        #region 会社行事・安全パトロール行表示
+        /// <summary>
+        /// 会社行事・安全パトロール行表示
+        /// </summary>
+        private void DispActionFixRow(int DepartmentCode, int iCode, string sName)
+        {
+            IOActionScheduleData asdDB = new IOActionScheduleData();
+            try
+            {
+                // 最初の日を求める
+                DateTime ColenderStartDate = DateTime.Now.AddDays(-15);
+                DateTime ColenderEndDate = DateTime.Now.AddDays(15);
+
+                // --------------- 行動予定の表示
+                List<ActionScheduleData> asdList = new List<ActionScheduleData>();
+                string strSQL = String.Format(" Where (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                                        , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
+                strSQL += string.Format(" And PersonCode = {0}", iCode);
+                strSQL += " ORDER BY TargetDate ASC";
+                if (!asdDB.SelectAction(strSQL, ref asdList)) return;
+                if (asdList.Count == 0) return;
+
+                // 行の追加
+                int LineCnt = dgvActionSchedule.Rows.Add();
+                // 行固定
+                dgvActionSchedule.Rows[LineCnt].Frozen = true;
+
+                // 部署コードセット
+                dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = DepartmentCode;
+                // 担当者コードセット
+                dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonCode].Value = iCode;
+                // 担当者名セット
+                dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = sName;
+
+                // 予定・実績文字の表示
+                dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
+                dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
+                dgvActionSchedule.Rows[LineCnt].ReadOnly = true;
+
+                int ColCnt = dgvActionSchedule.ColumnCount - (int)ActionSchduleGridCount.Days1;
+                foreach (ActionScheduleData wrkDay in asdList)
+                {
+                    for (int ix = 0; ix < ColCnt; ix++)
+                    {
+                        // 日付が違えば表示しない
+                        if (ColenderStartDate.AddDays(ix).Date != wrkDay.TargetDate.Date) continue;
+                        // 行動予定セット
+                        dgvActionSchedule.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = wrkDay.ActionSchedule;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                asdDB.close(); asdDB = null;
+            }
+        }
+        #endregion
+
+        #region タイトル行位置
+        /// <summary>
+        ///  タイトル行位置
+        /// </summary>
+        private const int s_ActionListMonthLine = 0;
+        private const int s_ActionListDayLine = 1;
+        private const int s_ActionListWeekLine = 2;
+        #endregion
+
+        #region 行動予定一覧データ構造体セット(TypeA)
+        /// <summary>
+        /// 行動予定一覧データ構造体セット(TypeA)
+        /// </summary>
+        /// <param name="InData"></param>
+        /// <param name="DepartmentRec"></param>
+        /// <param name="PersonRec"></param>
+        /// <param name="ActionRec"></param>
+        private void SetActionArrayListToRecTypeA(object[] InData
+                                            , ref DepartmentMaster DepartmentRec
+                                            , ref PersonInChargeMaster PersonRec
+                                            , ref ActionScheduleData ActionRec)
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOActionScheduleData asdDB = new IOActionScheduleData();
+            try
+            {
+                int DBDepartmentCnt = Enum.GetNames(typeof(IOMDepartment.NameColumn)).Length;                 // 部署マスタフィールドカウント
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;                 // 担当者マスタフィールドカウント
+                int DBActionDaysCnt = Enum.GetNames(typeof(IOActionScheduleData.NameColumn)).Length;          // 担当者行動予定データフィールドカウント
+
+                dmDB.ClearStruct(ref DepartmentRec);
+                picDB.ClearStruct(ref PersonRec);
+                asdDB.ClearStruct(ref ActionRec);
+
+                dmDB.Reader2Struct(InData, ref DepartmentRec);
+
+                object[] objPerson = new object[DBPersonCnt];
+                int InPo = DBDepartmentCnt;
+                for (int i = 0; i < DBPersonCnt; i++, InPo++)
+                {
+                    objPerson[i] = InData[InPo];
+                }
+                picDB.Reader2Struct(objPerson, ref PersonRec);
+
+                object[] objSchedule = new object[DBActionDaysCnt];
+                InPo = DBDepartmentCnt + DBPersonCnt;
+                for (int i = 0; i < DBActionDaysCnt; i++, InPo++)
+                {
+                    objSchedule[i] = InData[InPo];
+                }
+                asdDB.Reader2Struct(objSchedule, ref ActionRec);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dmDB.close(); dmDB = null;
+                picDB.close(); picDB = null;
+                asdDB.close(); asdDB = null;
+            }
+        }
+        #endregion
+
+        #region 行動予定一覧データ構造体セット(TypeB)
+        /// <summary>
+        /// 行動予定一覧データ構造体セット(TypeB)
+        /// </summary>
+        /// <param name="InData"></param>
+        /// <param name="PersonRec"></param>
+        /// <param name="ActionRec"></param>
+        private void SetActionArrayListToRecTypeB(object[] InData
+                                            , ref PersonInChargeMaster PersonRec
+                                            , ref ActionScheduleData ActionRec)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOActionScheduleData asdDB = new IOActionScheduleData();
+            try
+            {
+                int DBPersonCnt = Enum.GetNames(typeof(IOMPersonInCharge.NameColumn)).Length;                 // 担当者マスタフィールドカウント
+                int DBActionDaysCnt = Enum.GetNames(typeof(IOActionScheduleData.NameColumn)).Length;          // 担当者行動予定データフィールドカウント
+
+                picDB.ClearStruct(ref PersonRec);
+                asdDB.ClearStruct(ref ActionRec);
+
+                picDB.Reader2Struct(InData, ref PersonRec);
+
+                object[] objSchedule = new object[DBActionDaysCnt];
+                int InPo = DBPersonCnt;
+                for (int i = 0; i < DBActionDaysCnt; i++, InPo++)
+                {
+                    objSchedule[i] = InData[InPo];
+                }
+                asdDB.Reader2Struct(objSchedule, ref ActionRec);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                asdDB.close(); asdDB = null;
+            }
+        }
+        #endregion
+
+        #region 行動予定一覧
+        /// <summary>
+        /// 行動予定一覧
+        /// </summary>
+        private void DispActionList()
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOActionScheduleData asdDB = new IOActionScheduleData();
+            dgvActionSchedule.SuspendLayout();
+            try
+            {
+                int DspRowCnt = 0;
+                DataGridView dgv = dgvActionSchedule;
+
+                // クリアする
+                ClearActionList();
+
+                // 横スクロール量設定
+                //dgvActionSchedule.HorizontalScrollingOffset = dgvActionSchedule.Columns[3].Width;
+                // --------------- カレンダーの表示
+                dgvActionSchedule.Rows.Add();
+                dgvActionSchedule.Rows.Add();
+                dgvActionSchedule.Rows.Add();
+
+                dgvActionSchedule.Rows[s_ActionListMonthLine].Frozen = true;
+                dgvActionSchedule.Rows[s_ActionListDayLine].Frozen = true;
+                dgvActionSchedule.Rows[s_ActionListWeekLine].Frozen = true;
+
+                dgvActionSchedule.Rows[s_ActionListMonthLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "月";
+                dgvActionSchedule.Rows[s_ActionListDayLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "日";
+                dgvActionSchedule.Rows[s_ActionListWeekLine].Cells[(int)ActionSchduleGridCount.PersonName].Value = "曜日";
+
+                // 最初の日を求める
+                DateTime ColenderStartDate = DateTime.Now.AddDays(-15);
+                DateTime ColenderEndDate = DateTime.Now.AddDays(15);
+
+                // 日付・曜日をセットする
+                int ColCnt = dgvActionSchedule.ColumnCount - (int)ActionSchduleGridCount.Days1;
+
+                // カレンダーのセット
+                if (!DispActionCalender()) return;
+
                 // 初期表示列セット
                 dgvActionSchedule.FirstDisplayedScrollingColumnIndex = ((int)ActionSchduleGridCount.Days1 + 15) - 3;
 
-                List<DepartmentMaster> dmList = new List<DepartmentMaster>();
-                // ----- 会社行事レコードの登録
-                DepartmentMaster DummyDepRec = new DepartmentMaster();
-                DummyDepRec.DepartmentCode = CommonDefine.s_CompanyActionCode;
-                DummyDepRec.DepartmentString = "";
-                dmList.Add(DummyDepRec);
+                // 会社予定行
+                DispActionFixRow(CommonDefine.s_CompanyActionCode, CommonDefine.s_CompanyActionCode, CommonDefine.s_CompanyActionName);
+                // 会社行事表示行
+                m_CompanyActionRow = dgv.RowCount-1;
+                // 安全パトロール行
+                DispActionFixRow(CommonDefine.s_CompanyActionCode, CommonDefine.s_DivisionActionCode, CommonDefine.s_DivisionActionName);
+                // 部署行事表示行
+                m_DivisionActionRow = dgv.RowCount - 1;
 
-                int FirstLineCnt = dgvActionSchedule.RowCount;
-                int LineCnt = dgvActionSchedule.RowCount;
-                bool bdmDisp = true;
-                // ---------------部署の取得
-                string strSQL = " Where ActionScheduleFlg = 0 Order By DisplayOrder Asc";
-                if (!dmDB.SelectAction(strSQL, ref dmList)) return;
+                string strSQL = "SELECT *";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
+                strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
+                strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                                        , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
+                strSQL += " Where A.ACTIONSCHEDULEFLG = 0";
+                strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += string.Format(" And B.EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.Regular);
+                strSQL += " AND B.DELETEFLG = 0";
+                strSQL += " Order By A.DISPLAYORDER Asc, B.DISPLAYORDER Asc, C.TargetDate ASC";
+                ArrayList DataList = new ArrayList();
+                if (!asdDB.ExecuteReader(strSQL, ref DataList)) return;
 
-                foreach (DepartmentMaster dmData in dmList)
+                DepartmentMaster DepartmentRec = new DepartmentMaster();
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                ActionScheduleData ActionRec = new ActionScheduleData();
+                int BreakDepartment = -1;
+                int BreakPerSonCode = 0;
+                foreach (object[] DataRec in DataList)
                 {
-                    List<PersonInChargeMaster> picList = new List<PersonInChargeMaster>();
-                    if (FirstLineCnt == LineCnt)
+                    // オブジェクト配列より構造体へセット
+                    SetActionArrayListToRecTypeA(DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
+
+                    // 担当者が同じならば処理しない
+                    if (BreakPerSonCode == PersonRec.PersonCode) continue;
+                    
+                    // 行の追加
+                    int LineCnt = dgv.Rows.Add();
+                    dgv.Rows.Add();
+
+                    // ログインユーザーの行を保持する
+                    if (CommonMotions.LoginUserData.PersonCode == PersonRec.PersonCode) DspRowCnt = LineCnt;
+
+                    // 部署名の表示
+                    if (BreakDepartment != DepartmentRec.DepartmentCode)
                     {
-                        // --- 会社行事レコードの登録
-                        PersonInChargeMaster DummyPiCRec = new PersonInChargeMaster();
-                        DummyPiCRec.PersonCode = CommonDefine.s_CompanyActionCode;
-                        DummyPiCRec.PersonName = CommonDefine.s_CompanyActionName;
-                        picList.Add(DummyPiCRec);
-                        m_CompanyActionRow = LineCnt;
-                        // ----- 部署等スケジュールの登録
-                        PersonInChargeMaster DummyDiviRec = new PersonInChargeMaster();
-                        DummyDiviRec.PersonCode = CommonDefine.s_DivisionActionCode;
-                        DummyDiviRec.PersonName = CommonDefine.s_DivisionActionName;
-                        picList.Add(DummyDiviRec);
-                        m_DivisionActionRow = LineCnt + 1;
+                        dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentName].Value = DepartmentRec.DepartmentString;
+                        BreakDepartment = DepartmentRec.DepartmentCode;
                     }
-                    // ---------------担当者の取得
-                    strSQL = string.Format(" Where DepartmentCode = {0}", dmData.DepartmentCode);
-                    strSQL += string.Format(" And EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.Regular);
-                    strSQL += "And DeleteFlg = 0 Order By DisplayOrder Asc";
-                    if (!picDB.SelectAction(strSQL, ref picList)) break;
 
-                    foreach (PersonInChargeMaster picData in picList)
-                    {
-                        // ログインユーザーの行を保持する
-                        if (CommonMotions.LoginUserData.PersonCode == picData.PersonCode)
-                            DspRowCnt = LineCnt;
+                    // 部署コードセット
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = DepartmentRec.DepartmentCode;
 
-                        //// 行の追加
-                        //dgvActionSchedule.Rows.Add();
-                        //dgvActionSchedule.Rows.Add();
+                    // 予定・実績文字の表示
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
+                    dgv.Rows[LineCnt].ReadOnly = true;
 
-                        // 会社行事行は固定
-                        if ((FirstLineCnt + 1) >= LineCnt)
-                        {
-                            // 行の追加
-                            dgvActionSchedule.Rows.Add();
-                            // 行固定
-                            dgvActionSchedule.Rows[LineCnt].Frozen = true;
-                            //dgvActionSchedule.Rows[LineCnt + 1].Frozen = true;
-                        }
-                        else
-                        {
-                            // 行の追加
-                            dgvActionSchedule.Rows.Add();
-                            dgvActionSchedule.Rows.Add();
-                        }
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[1];
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
+                    dgv.Rows[LineCnt + 1].ReadOnly = true;
 
-                        // 部署名の表示
-                        if (bdmDisp)
-                        {
-                            dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentName].Value = dmData.DepartmentString;
-                            bdmDisp = false;
-                        }
-                        // 部署コードセット
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.DepartmentCode].Value = dmData.DepartmentCode;
+                    // 担当者名の表示
+                    dgv.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.PersonCode].Value = PersonRec.PersonCode;
 
-                        // 予定・実績文字の表示
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[0];
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Green;
-                        dgvActionSchedule.Rows[LineCnt].ReadOnly = true;
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonCode].Value = PersonRec.PersonCode;
+                    dgv.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = PersonRec.PersonName;
 
-                        // 会社行事・安全パトロール以外は実績がある
-                        if ((FirstLineCnt + 1) < LineCnt)
-                        {
-                            dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Value = s_ActionSchduleFixed[1];
-                            dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.Action].Style.ForeColor = Color.Blue;
-                            dgvActionSchedule.Rows[LineCnt + 1].ReadOnly = true;
+                    // --------------- 行動予定の表示
+                    List<KeyValuePair<DateTime, string>> ActionList = new List<KeyValuePair<DateTime, string>>();
+                    // データ取得
+                    GetActionListTypeA(PersonRec.PersonCode, DataList, ref ActionList);
 
-                            // 担当者名の表示
-                            dgvActionSchedule.Rows[LineCnt + 1].Cells[(int)ActionSchduleGridCount.PersonCode].Value = picData.PersonCode;
-                        }
-
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonCode].Value = picData.PersonCode;
-                        dgvActionSchedule.Rows[LineCnt].Cells[(int)ActionSchduleGridCount.PersonName].Value = picData.PersonName;
-
-                        // --------------- 行動予定の表示
-                        List<ActionScheduleData> asdList = new List<ActionScheduleData>();
-                        strSQL = String.Format(" Where (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate < TO_DATE('{1}','YYYY/MM/DD'))",
-                                                ColenderStartDate.ToShortDateString(), ColenderStartDate.AddDays(ColCnt).ToShortDateString());
-                        strSQL += string.Format(" And PersonCode = {0}", picData.PersonCode);
-                        if (asdDB.SelectAction(strSQL, ref asdList))
+                    foreach (KeyValuePair<DateTime, string> DayDataRec in ActionList)
+                    {
+                        for (int ix = 0; ix < ColCnt; ix++)
                         {
-                            if (asdList.Count != 0)
-                            {
-                                foreach (ActionScheduleData wrkDay in asdList)
-                                {
-                                    for (int ix = 0; ix < ColCnt; ix++)
-                                    {
-                                        // 日付が違えば表示しない
-                                        if (ColenderStartDate.AddDays(ix).Date != wrkDay.TargetDate.Date) continue;
-                                        // 行動予定セット
-                                        dgvActionSchedule.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = wrkDay.ActionSchedule;
-                                    }
-                                }
-                            }
+                            // 日付が違えば表示しない
+                            if (ColenderStartDate.AddDays(ix).Date != DayDataRec.Key.Date) continue;
+                            // 行動予定セット
+                            dgv.Rows[LineCnt].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = DayDataRec.Value;
                         }
-                        // 会社行事・安全パトロールは予定だけ表示
-                        if ((FirstLineCnt + 1) >= LineCnt)
-                            LineCnt++;
-                        else
-                            LineCnt += 2;
                     }
-                    bdmDisp = true;
+                    // ブレイクキーセット
+                    BreakPerSonCode = PersonRec.PersonCode;
                 }
 
                 // 常雇者表示
-                DispAlwaysEmployment(ColenderStartDate);
+                DispAlwaysEmployment();
 
                 // 車両予約
-                DispVehicleReservation(ColenderStartDate);
+                DispVehicleReservation();
 
                 // 表示行セット
-                if (DspRowCnt != 0) dgvActionSchedule.FirstDisplayedScrollingRowIndex = DspRowCnt;
+                if (DspRowCnt != 0) dgv.FirstDisplayedScrollingRowIndex = DspRowCnt;
             }
             catch (Exception ex)
             {
@@ -2804,7 +3007,6 @@
             }
             finally
             {
-                hcDB.close(); hcDB = null;
                 dmDB.close(); dmDB = null;
                 picDB.close(); picDB = null;
                 asdDB.close(); asdDB = null;
@@ -2811,39 +3013,135 @@
                 dgvActionSchedule.ResumeLayout();
             }
         }
+        #endregion
 
+        #region 担当者データ取得(TypeA)
         /// <summary>
+        /// 担当者データ取得(TypeA)
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="DataList"></param>
+        /// <param name="ActionList"></param>
+        private void GetActionListTypeA(int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
+        {
+            try
+            {
+                DepartmentMaster DepartmentRec = new DepartmentMaster();
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                ActionScheduleData ActionRec = new ActionScheduleData();
+                bool bExist = false;
+                foreach (object[] DataRec in DataList)
+                {
+                    // オブジェクト配列より構造体へセット
+                    SetActionArrayListToRecTypeA(DataRec, ref DepartmentRec, ref PersonRec, ref ActionRec);
+
+                    // 担当者が違えば処理しない
+                    if (PersonCode != PersonRec.PersonCode)
+                    {
+                        if (bExist) break;
+                        continue;
+                    }
+                    // 担当者が見つかればフラグON
+                    bExist = true;
+                    // データセット
+                    ActionList.Add(new KeyValuePair<DateTime, string>(ActionRec.TargetDate, ActionRec.ActionSchedule));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者データ取得(TypeB)
+        /// <summary>
+        /// 担当者データ取得(TypeB)
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="DataList"></param>
+        /// <param name="ActionList"></param>
+        private void GetActionListTypeB(int PersonCode, ArrayList DataList, ref List<KeyValuePair<DateTime, string>> ActionList)
+        {
+            try
+            {
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                ActionScheduleData ActionRec = new ActionScheduleData();
+                bool bExist = false;
+                foreach (object[] DataRec in DataList)
+                {
+                    // オブジェクト配列より構造体へセット
+                    SetActionArrayListToRecTypeB(DataRec, ref PersonRec, ref ActionRec);
+
+                    // 担当者が違えば処理しない
+                    if (PersonCode != PersonRec.PersonCode)
+                    {
+                        if (bExist) break;
+                        continue;
+                    }
+                    // 担当者が見つかればフラグON
+                    bExist = true;
+                    // データセット
+                    ActionList.Add(new KeyValuePair<DateTime, string>(ActionRec.TargetDate, ActionRec.ActionSchedule));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 常雇者表示
+        /// <summary>
         /// 常雇者表示
         /// </summary>
-        private void DispAlwaysEmployment(DateTime ColenderStartDate)
+        private void DispAlwaysEmployment()
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOActionScheduleData asdDB = new IOActionScheduleData();
             try
             {
-                int LineCnt = dgvActionSchedule.RowCount;
+                DataGridView dgv = dgvActionSchedule;
+                int DspRowCnt = 0;
+
+                // 最初の日を求める
+                DateTime ColenderStartDate = DateTime.Now.AddDays(-15);
+                DateTime ColenderEndDate = DateTime.Now.AddDays(15);
+
                 // 1カ月分処理する
                 int ColCnt = dgvActionSchedule.ColumnCount - (int)ActionSchduleGridCount.Days1;
 
-                int DspRowCnt = 0;
+                string strSQL = "SELECT *";
+                strSQL += " FROM PERSONINCHARGEMASTER B";
+                strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
+                strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                                        , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
+                strSQL += string.Format(" Where B.EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.OutSource);
+                strSQL += " AND B.DELETEFLG = 0";
+                strSQL += " Order By B.DISPLAYORDER Asc, C.TargetDate ASC";
+                ArrayList DataList = new ArrayList();
+                if (!asdDB.ExecuteReader(strSQL, ref DataList)) return;
+
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                ActionScheduleData ActionRec = new ActionScheduleData();
+                int BreakPerSonCode = 0;
                 bool bdmDisp = true;
-                List<PersonInChargeMaster> picList = new List<PersonInChargeMaster>();
-                // ---------------担当者の取得
-                string strSQL = string.Format(" Where EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.OutSource);
-                strSQL += "And DeleteFlg = 0 Order By DisplayOrder Asc";
-                if (!picDB.SelectAction(strSQL, ref picList)) return;
-                if (picList.Count == 0) return;
-
-                foreach (PersonInChargeMaster picData in picList)
+                foreach (object[] DataRec in DataList)
                 {
-                    // ログインユーザーの行を保持する
-                    if (CommonMotions.LoginUserData.PersonCode == picData.PersonCode)
-                        DspRowCnt = LineCnt;
+                    // オブジェクト配列より構造体へセット
+                    SetActionArrayListToRecTypeB(DataRec, ref PersonRec, ref ActionRec);
+                    
+                    // 担当者が同じならば処理しない
+                    if (BreakPerSonCode == PersonRec.PersonCode) continue;
 
                     // 行の追加
-                    dgvActionSchedule.Rows.Add();
-                    dgvActionSchedule.Rows.Add();
+                    int LineCnt = dgv.Rows.Add();
+                    dgv.Rows.Add();
 
+                    // ログインユーザーの行を保持する
+                    if (CommonMotions.LoginUserData.PersonCode == PersonRec.PersonCode) DspRowCnt = LineCnt;
+
                     // 部署名の表示
                     if (bdmDisp)
                     {
